## r-bioc-alabaster.sce 1.4.0+ds

=== DESCRIPTION ===
Package: alabaster.sce
Title: Load and Save SingleCellExperiment from File
Version: 1.4.0
Date: 2023-12-29
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save SingleCellExperiment into file artifacts, and load them back into memory.
    This is a more portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Depends: SingleCellExperiment, alabaster.base
Imports: methods, alabaster.se, jsonlite
Suggests: knitr, testthat, BiocStyle, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 7.2.3
biocViews: DataImport, DataRepresentation
git_url: https://git.bioconductor.org/packages/alabaster.sce
git_branch: RELEASE_3_19
git_last_commit: 5d6e1fa
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
NeedsCompilation: no
Packaged: 2024-05-01 02:29:43 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.sce (1.4.0+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:43:28 +0200

r-bioc-alabaster.sce (1.4.0+ds-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: add minimum version number matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 11:56:26 +0200

r-bioc-alabaster.sce (1.4.0+ds-1~0exp0) experimental; urgency=medium

  * Initial release (Closes: #1076073)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:10:43 +0200

=== debian/control ===
Source: r-bioc-alabaster.sce
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment (>=1.26.0),
               r-bioc-alabaster.base,
               r-bioc-alabaster.se,
               r-cran-jsonlite
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.sce
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.sce.git
Homepage: https://bioconductor.org/packages/alabaster.sce/
Rules-Requires-Root: no

Package: r-bioc-alabaster.sce
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-singlecellexperiment (>=1.26.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>=2.32.1)
Description: Load and Save SingleCellExperiment from File
 Save SingleCellExperiment into file artifacts, and load them back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

## r-bioc-alabaster.sce 1.6.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alabaster.sce
 Title: Load and Save SingleCellExperiment from File
-Version: 1.4.0
-Date: 2023-12-29
+Version: 1.6.0
+Date: 2024-10-16
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
 License: MIT + file LICENSE
 Description: 
@@ -16,12 +16,12 @@
 RoxygenNote: 7.2.3
 biocViews: DataImport, DataRepresentation
 git_url: https://git.bioconductor.org/packages/alabaster.sce
-git_branch: RELEASE_3_19
-git_last_commit: 5d6e1fa
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: fb5cad1
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:29:43 UTC; biocbuild
+Packaged: 2024-10-29 23:25:21 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.sce (1.6.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 20:49:16 +0100

r-bioc-alabaster.sce (1.6.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:47:04 +0100

=== debian/control ===
Source: r-bioc-alabaster.sce
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.sce
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.sce.git
Homepage: https://bioconductor.org/packages/alabaster.sce/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-bioc-alabaster.base,
               r-bioc-alabaster.se,
               r-cran-jsonlite
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.sce
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Load and Save SingleCellExperiment from File
 Save SingleCellExperiment into file artifacts, and load them back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/alabaster.sce.html .*/alabaster.sce_(.*).tar.gz
